diff --git a/sokoban.el b/sokoban.el
index 128d59ad98..710139b09f 100644
--- a/sokoban.el
+++ b/sokoban.el
@@ -403,7 +403,7 @@ static char * player_on_target_xpm[] = {
 
 (defvar sokoban-floor-options
   `(((glyph
-      [xpm :data ,sokoban-floor-xpm])
+      ((:type xpm :data ,sokoban-floor-xpm :ascent center)))
      (t ?\040))
     ((color-x color-x)
      (mono-x grid-x)
@@ -413,7 +413,7 @@ static char * player_on_target_xpm[] = {
 
 (defvar sokoban-target-options
   `(((glyph
-      [xpm :data ,sokoban-target-xpm])
+      ((:type xpm :data ,sokoban-target-xpm :ascent center)))
      ((mono-x mono-tty emacs-tty) ?\.)
      (t ?\040))
     ((color-x color-x)
@@ -424,7 +424,7 @@ static char * player_on_target_xpm[] = {
 
 (defvar sokoban-wall-options
   `(((glyph
-      [xpm :data ,sokoban-wall-xpm])
+      ((:type xpm :data ,sokoban-wall-xpm :ascent center)))
      (emacs-tty ?\X)
      (t ?\040))
     ((color-x color-x)
@@ -436,7 +436,7 @@ static char * player_on_target_xpm[] = {
 
 (defvar sokoban-block-options
   `(((glyph
-      [xpm :data ,sokoban-block-xpm])
+      ((:type xpm :data ,sokoban-block-xpm :ascent center)))
      ((mono-x mono-tty emacs-tty) ?\O)
      (t ?\040))
     ((color-x color-x)
@@ -447,7 +447,7 @@ static char * player_on_target_xpm[] = {
 
 (defvar sokoban-block-on-target-options
   `(((glyph
-      [xpm :data ,sokoban-block-on-target-xpm])
+      ((:type xpm :data ,sokoban-block-on-target-xpm :ascent center)))
      ((mono-x mono-tty emacs-tty) ?\O)
      (t ?\040))
     ((color-x color-x)
@@ -458,7 +458,7 @@ static char * player_on_target_xpm[] = {
 
 (defvar sokoban-player-options
   `(((glyph
-      [xpm :data ,sokoban-player-xpm])
+      ((:type xpm :data ,sokoban-player-xpm :ascent center)))
      (t ?\*))
     ((color-x color-x)
      (mono-x grid-x)
@@ -468,7 +468,7 @@ static char * player_on_target_xpm[] = {
 
 (defvar sokoban-player-on-target-options
   `(((glyph
-      [xpm :data ,sokoban-player-on-target-xpm])
+      ((:type xpm :data ,sokoban-player-on-target-xpm :ascent center)))
      (t ?\*))
     ((color-x color-x)
      (mono-x grid-x)
